Bug 115202 - "--help" output contradicts man page
"--help" output contradicts man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 12:15 EST by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 12:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-02-08 12:15:24 EST
Description of problem:
prelink's usage output ("--help") does not tell me that I can pass 
file names as the final command parameters.

Version-Release number of selected component (if applicable):
prelink-0.3.0-20

How reproducible:
always

Steps to Reproduce:
1. prelink --help | head -1
2. man prelink
3.
  
Actual results:
1. Usage: prelink [OPTION...]
2. prelink [OPTION...] [FILES]

Expected results:
1. Usage: prelink [OPTION...] [FILES]
2. prelink [OPTION...] [FILES]

Additional info:
I missed the fact that I can prelink a single file, until I noticed 
there seemed to be no opposite option to "-a" in "--help" and checked 
the man page.
Comment 1 Jay Turner 2004-09-02 01:19:46 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-386.html

Note You need to log in before you can comment on or make changes to this bug.